Package org.gdal.ogr

# Class FieldDomain

java.lang.Object
org.gdal.ogr.FieldDomain

public class FieldDomain extends Object
Definition of a field domain. A field domain is a set of constraints that apply to one or several fields. This is a concept found in File Geodatabase or GeoPackage (using the schema extension) for example. A field domain can be:

- OGRCodedFieldDomain: an enumerated list of (code, value) tuples.
- OGRRangeFieldDomain: a range constraint (min, max).
- OGRGlobFieldDomain: a glob expression.

Since:
  GDAL 3.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete()`
  `boolean`
  `equals(Object obj)`
  `String`
  `GetDescription()`
  `byte[]`
  `GetDescriptionAsByteArray()`
  `int`
  `GetDomainType()`
  `HashMap<String,String>`
  `GetEnumeration()`
  Get the enumeration as (code, value) pairs.
  `int`
  `GetFieldSubType()`
  `int`
  `GetFieldType()`
  `String`
  `GetGlob()`
  `byte[]`
  `GetGlobAsByteArray()`
  `double`
  `GetMaxAsDouble()`
  `String`
  `GetMaxAsString()`
  `int`
  `GetMergePolicy()`
  `double`
  `GetMinAsDouble()`
  `String`
  `GetMinAsString()`
  `String`
  `GetName()`
  `byte[]`
  `GetNameAsByteArray()`
  `int`
  `GetSplitPolicy()`
  `int`
  `hashCode()`
  `boolean`
  `IsMaxInclusive()`
  `boolean`
  `IsMinInclusive()`
  `void`
  `SetMergePolicy(int policy)`
  `void`
  `SetSplitPolicy(int policy)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### delete

    public void delete()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### GetName

    public String GetName()

  - ### GetNameAsByteArray

    public byte[] GetNameAsByteArray()

  - ### GetDescription

    public String GetDescription()

  - ### GetDescriptionAsByteArray

    public byte[] GetDescriptionAsByteArray()

  - ### GetFieldType

    public int GetFieldType()

  - ### GetFieldSubType

    public int GetFieldSubType()

  - ### GetDomainType

    public int GetDomainType()

  - ### GetSplitPolicy

    public int GetSplitPolicy()

  - ### SetSplitPolicy

    public void SetSplitPolicy(int policy)

  - ### GetMergePolicy

    public int GetMergePolicy()

  - ### SetMergePolicy

    public void SetMergePolicy(int policy)

  - ### GetEnumeration

    public HashMap<String,String> GetEnumeration()
    Get the enumeration as (code, value) pairs. This is the same as the C++ method OGRCodedFieldDomain::GetEnumeration()
    Returns:
      the (code, value) pairs, or nullptr in case of error.
    Since:
      Java bindings 3.8.0

  - ### GetMinAsDouble

    public double GetMinAsDouble()

  - ### GetMinAsString

    public String GetMinAsString()

  - ### IsMinInclusive

    public boolean IsMinInclusive()

  - ### GetMaxAsDouble

    public double GetMaxAsDouble()

  - ### GetMaxAsString

    public String GetMaxAsString()

  - ### IsMaxInclusive

    public boolean IsMaxInclusive()

  - ### GetGlob

    public String GetGlob()

  - ### GetGlobAsByteArray

    public byte[] GetGlobAsByteArray()